/**
 * Copyright (c) 2013-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.api.configuration.exception;


/**
 * The domain is unknown in the current topology.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class DomainUnknownException extends ConfigurationException {

    private static final long serialVersionUID = -5480043187777767655L;

    private final static String MESSAGE_TEMPLATE = "The domain '%s' is unknown in the current topology";

    /**
     * The unknown domain name
     */
    private final String unknownDomainName;

    public DomainUnknownException(final String domainName) {
        super(String.format(MESSAGE_TEMPLATE, domainName));
        this.unknownDomainName = domainName;
    }

    /**
     * @return The unknown domain name
     */
    public String getUnknownDomainName() {
        return this.unknownDomainName;
    }

}
